Subject: Re: linux-next: manual merge of the kselftest tree with Linus' tree

From: Shuah Khan <[email-masked]>
Date: Tue, 16 Apr 2024 17:56:10 -0600

On 4/14/24 22:39, Stephen Rothwell wrote:
> Hi all,
> 
> Today's linux-next merge of the kselftest tree got a conflict in:
> 
>    tools/testing/selftests/kselftest.h
> 
> between commit:
> 
>    f7d5bcd35d42 ("selftests: kselftest: Mark functions that unconditionally call exit() as __noreturn")
> 
> from Linus' tree and commit:
> 
>    5d3a9274f0d1 ("kselftest: Add mechanism for reporting a KSFT_ result code")
>    f07041728422 ("selftests: add ksft_exit_fail_perror()")
> 
> from the kselftest tree.
> 
> I fixed it up (see below) and can carry the fix as necessary. This
> is now fixed as far as linux-next is concerned, but any non trivial
> conflicts should be mentioned to your upstream maintainer when your tree
> is submitted for merging.  You may also want to consider cooperating
> with the maintainer of the conflicting tree to minimise any particularly
> complex conflicts.
> 

Rebased to Linux 6.9-rc4 and resolved these two merge conflicts
in linux-kselftest next.

thanks,
-- Shuah